Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
  1. Visualizations
  2. List visualizations for an AOI

List visualizations for an AOI

Lists all visualizations for a given AOI with optional filtering

GET/v0/aois/{aoi_id}/visualizations
Authorisations
AuthorizationString
Path Parameters
aoi_idstringrequired
AOI ID
Query Parameters
offsetinteger
Offset for pagination
limitinteger
Limit for pagination
typestring
Filter by type
user_idstring
Filter by user ID
expression_typestring
Filter by expression type
index_idstring
Filter by index ID
visualization_idstring
Filter by visualization ID
Response
application/json
OK
paginationobject
Show child attributes
visualizationobject[]
Show child attributes
List visualizations for an AOI
cURL
Python
Go
TypeScript
1curl -X GET 'https://api.pixxel.space/v0/aois/{aoi_id}/visualizations' \
2 -H 'Authorization: YOUR_API_KEY'
Response:
{
"pagination": {
"limit": 10,
"offset": 0,
"total": 100
},
"visualization": [
{
"aoi_id": "e9767554-550e-4464-a677-b8cf096073ab",
"created_at": "2022-11-14 12:55:49.125928+00:00",
"id": "a80f7f4c-abe9-4118-875e-3a2306577e11",
"index_id": "90d63531-5f54-4704-a4b0-7bb92ae08f23",
"progress": 100,
"status": "success",
"tenant_id": "tenant-123456",
"updated_at": "2022-11-14 12:55:49.125928+00:00",
"user_id": "e3a671ad-5381-4413-8c1c-bc4e1ccaff45"
}
]
}
Create a new indexCreate a new visualization